当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 交叉编译环境的建立
帖子发表于 : 2009-09-12 7:10 

注册: 2009-08-14 15:27
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
最近开始用开发板学习。
我想要在我的UBUNTU8上建立一个交叉编译环境。
现在我的GCC版本都是最新的。
为了和教材匹配,避免一些因为版本问题造成的错误,我必须使用低一点版本的GCC.
我是否可以安装两个版本的GCC?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 交叉编译环境的建立
帖子发表于 : 2009-09-12 8:35 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
楼主应当学习一下交叉编译的基本知识。

基本上,交叉编译必然是另外一套gcc,而且那套与你机器上的gcc完全没有关系。

不论你机器上的gcc是什么版本,对你的交叉编译都没有影响。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 交叉编译环境的建立
帖子发表于 : 2009-09-12 8:47 

注册: 2009-08-14 15:27
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
poet 写道:
楼主应当学习一下交叉编译的基本知识。

基本上,交叉编译必然是另外一套gcc,而且那套与你机器上的gcc完全没有关系。

不论你机器上的gcc是什么版本,对你的交叉编译都没有影响。



感谢了。。正在学习。。 :em11


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 交叉编译环境的建立
帖子发表于 : 2009-09-14 10:11 

注册: 2009-09-14 10:03
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我想你问的是用原来带的GCC,GLIBC等去编译新的工具链时会有问题没
gcc版本太高,编译老点的东西有时我遇到过有奇怪的问题
我用的8,10,试过又装了GCC-3.4
然后把/usr/bin下面的gcc的链接连到gcc3.4上面
没发现什么问题,不过GLIBC,BINUTILS的版本都没换


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 交叉编译环境的建立
帖子发表于 : 2009-09-14 19:22 

注册: 2009-09-14 19:18
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
建立交叉编译环境时候还是要用到gcc的,版本高的gcc好像一些数据格式发生了变化和低版本的不兼容,就会出问题!
我用aS5时gcc已经是4.0以上,不行


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译